WP-Sentinel

WP-Sentinel

A wordpress security system plugin which will check every HTTP request against a given set of rules to filter out malicious requests.

  • Almost active
    This plugin was not updated the last 4516 days ago.
  • This plugin is not tested with the last major release of WordPress
    Content for list item
  • There is no information available which PHP version this plugin requires
    The latest stable PHP 8.3.8 was released on 06 June 2024
  • No information about vulnerabilities and unfixed security issues is available.
    Content for list item

Ratings

5

Active installs

100

Total Downloads

23K

Support Threads

0

Last updated

03 February 2012

Added

28 September 2010

Versions

100%
  • Version 2.0

About WP-Sentinel

FAQ

How can i check if the plugin is installed and working properly?

If you are logged in as administrator, perform a logout, go to the index of your blog and open an url such as :

http://your-blog-url/?s=../../this/is/just/a/test

To activate the local file inclusion block for instance.

Some bot is launching an high number of attacks to my blog, will the plugin be flooded with logs?

No, the plugin has an anti-flood mechanism that can be configured through the settings menu.

Changelog

2.0.3

2.0.2

2.0.1

2.0.0

1.3.0

1.2.0

1.1.0

1.0.9

1.0.8.3

1.0.8.2

1.0.8.1

1.0.8

1.0.7.3

1.0.7.2

1.0.7.1

1.0.7

1.0.6.1

1.0.6

1.0.5

1.0.4

1.0.3

1.0.2

1.0.1

1.0

How to install WP-Sentinel

  1. Upload wp-sentinel folder to the /wp-content/plugins/ directory.
  2. Activate the plugin through the ‘Plugins’ menu in WordPress.
  3. Configure the plugin through the settings panel.